git-annex-test(1)

NAME
git-annex-test - run built-in test suite

SYNOPSIS
git annex test

DESCRIPTION
This runs git-annex's built-in test suite.

The test suite runs in the .t subdirectory of the current directory.

It can be useful to run the test suite on different filesystems, or to verify your local installation of git-annex.

OPTIONS
There are several options, provided by Haskell's tasty test framework. Pass --help for details about those.

--jobs=N -JN
    How many tests to run in parallel. The default is "cpus", which will runs one job per CPU core.

--keep-failures
    When there are test failures, leave the .t directory populated with repositories that demonstate the failures, for later analysis.

--test-git-config name=value
    The test suite prevents git from reading any git configuration files. Usually it is a good idea to run the test suite with a standard git configuration. However, this option can be useful to see what effect a git configuration setting has on the test suite.

    Some configuration settings will break the test suite, in ways that are due to a bug in git-annex. But it is possible that changing a configuration can find a legitimate bug in git-annex.

    One valid use of this is to change a git configuration to a value that is planned to be the new default in a future version of git.

--test-debug
    Normally output of commands run by the test suite is hidden, so even when annex.debug or --debug is enabled, it will not be displayed. This option makes the full output of commands run by the test suite be displayed. It also makes the test suite run git-annex with --debug.

    It's a good idea to use -J1 in combinaton with this, otherwise the output of concurrent tests will be mixed together.

SEE ALSO
git-annex(1)

git-annex-testremote(1)

AUTHOR
Joey Hess <id@joeyh.name>